import { CSSExpression } from '../css_expression.js';

fixture `CSSExpression`;

test( 'property', async test => {
  let css_expression = new CSSExpression();

  let property = css_expression.setProperty( 'display', 'none' );

  await test.expect(css_expression.css).eql(
    "{\n\tdisplay: none;\n}"
  );
});

test( 'multipleProperties', async test => {
  let css_expression = new CSSExpression();

  css_expression.setProperty( 'display', 'none' );
  css_expression.setProperty( 'color', 'black' );

  await test.expect(css_expression.css).eql(
    "{\n\tdisplay: none;\n\tcolor: black;\n}"
  );
});
