import { Mixin, mix } from "../../../mixwith.js";
import {CSSJoinMixin} from "./css_join_mixin.js";

/*
    element,element	div, p	Selects all <div> elements and all <p> elements
*/
export class CSSJoinElement extends mix(Object).with(CSSJoinMixin) {

  /*********
  *  Join  *
  *********/

  joinPre( selector ) {
    selector += this.css + ', ';
    return selector;
  }

  joinPost( selector ) {
    if ( selector.length ) {
      selector += ', ' + this.css;
    }
    return selector;
  }

}

export default CSSJoinElement;
