import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - Content`;

test( 'contentSelectorFirstLetter', async test => {
  let css_selector = new CSSSelector();

  css_selector.contentSelector.firstLetter = true;

  await test.expect(css_selector.css).eql(
    '::first-letter'
  );
});

test( 'contentSelectorFirstLine', async test => {
  let css_selector = new CSSSelector();

  css_selector.contentSelector.firstLine = true;

  await test.expect(css_selector.css).eql(
    '::first-line'
  );
});

test( 'contentSelectorSelection', async test => {
  let css_selector = new CSSSelector();

  css_selector.contentSelector.selection = true;

  await test.expect(css_selector.css).eql(
    '::selection'
  );
});

test( 'contentSelectorBefore', async test => {
  let css_selector = new CSSSelector();

  css_selector.contentSelector.before = true;

  await test.expect(css_selector.css).eql(
    '::before'
  );
});

test( 'contentSelectorAfter', async test => {
  let css_selector = new CSSSelector();

  css_selector.contentSelector.after = true;

  await test.expect(css_selector.css).eql(
    '::after'
  );
});
